Bug 1247596 - authconfig doesn't work with wrong locale settings
authconfig doesn't work with wrong locale settings
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.7
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 08:09 EDT by Dalibor Pospíšil
Modified: 2016-06-20 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1187020
Environment:
Last Closed: 2016-06-20 12:16:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dalibor Pospíšil 2015-07-28 08:09:34 EDT
+++ This bug was initially created as a clone of Bug #1187020 +++

Description of problem:
I'm connected from Mac OS X (LC_*=UTF-8) to RHEL box where I want to run
authconfig.

This should bother administrators who uses Mac OS X.


Version-Release number of selected component (if applicable):
authconfig-6.1.12-23.el6

How reproducible:
always

Steps  to Reproduce:
1. # export LC_ALL="UTF-8"
2. # authconfig

Actual results:

[0 root@unused-4-245 test]# authconfig
Traceback (most recent call last):
  File "/usr/sbin/authconfig", line 31, in <module>
    locale.setlocale(locale.LC_ALL, '')
  File "/usr/lib64/python2.7/locale.py", line 547, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Expected results:
fallback to some default (en/posix/c?) locale


Additional info:
I found this (https://bugzilla.redhat.com/show_bug.cgi?id=1044245) bug closed as a NOTABUG. I still think that some polite workaround gives us better user experience.


I reported similar bug to virt-manager and they solved this issue with fallback to some default locale.
Comment 1 Peter Vrabec 2016-06-20 08:42:11 EDT
When Red Hat shipped 6.8 on May 10, 2016 RHEL 6 entered Production Phase 2.
https://access.redhat.com/support/policy/updates/errata#Production_2_Phase
That means only "Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released". 

Additionally, this issue has been resolved in Red Hat Enterprise Linux 7 which is still in Production Phase 1. Please consider upgrading to RHEL 7 where less than critical bugs, hardware enablement and feature requests can be addressed. Please re-open this Bugzilla if it is production impacting and critical for the customer and provide a thorough business justification.

Note You need to log in before you can comment on or make changes to this bug.